#ifndef _MFS_EXPRESS_H
#define _MFS_EXPRESS_H

/* express flags: */
#define	COMPLETION_DESIRED	1
#define	COMPLETION_DONE		2
#define	COMPLETION_NOLOOKUP	4
#define	COMPLETION_OLDREADDIR	8
#define	COMPLETION_GETDENTS	16
#define	COMPLETION_EMPTYF_PRI	32
#define	COMPLETION_MM_DOWNED	64
#define	COMPLETION_MAGICAL	128

/* express functions: */
#define	EF_OPEN			1
#define	EF_LINK			2
#define	EF_UNLINK		3
#define	EF_SYMLINK		4
#define	EF_MKDIR		5
#define	EF_RMDIR		6
#define	EF_RENAME		7
#define	EF_READLINK		8
#define	EF_TRUNCATE		9
#define	EF_UTIME		10
#define	EF_UTIMES		11
#define	EF_CHMOD		12
#define	EF_CHOWN		13
#define	EF_STAT			14

#endif _MFS_EXPRESS_H
