/*
 * Copyright (c)  1998 - 2000, Amnon Barak, The Hebrew University of Jerusalem.
 * All rights reserved.
 *
 * Permission to use, copy and distribute this software is hereby granted
 * under the terms of version 2 or any later version of the GNU General
 * Public License, as published by the Free Software Foundation.
 *
 * THE HEBREW UNIVERSITY OF JERUSALEM  PROVIDES THIS SOFTWARE IN ITS "AS IS"
 * CONDITION. THE HEBREW UNIVERSITY OF JERUSALEM DISCLAIMS  ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 */
/*
 * Author(s): Oren Laadan.
 */
#ifndef _LINUX_MOSCTL_H
#define _LINUX_MOSCTL_H

#ifdef __KERNEL__
#include <linux/socket.h>
#else
#include <sys/socket.h>
#endif __KERNEL__

#include <mos/mosctl.h>

/* configuration */

#define MOSIX_MAX	65535
#define MAX_MOSNET_ENTS	256

struct mosixnet
{
	int base;
	struct sockaddr saddr;
	int cnt;
};


#endif
