/*
 * Copyright (c)  1998 - 2000, Amnon Barak, The Hebrew University of Jerusalem.
 * All rights reserved.
 *
 * Permission to use, copy and distribute this software is hereby granted
 * under the terms of version 2 or any later version of the GNU General
 * Public License, as published by the Free Software Foundation.
 *
 * THE HEBREW UNIVERSITY OF JERUSALEM  PROVIDES THIS SOFTWARE IN ITS "AS IS"
 * CONDITION. THE HEBREW UNIVERSITY OF JERUSALEM DISCLAIMS  ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 */
/*
 * Author(s): Amnon Shiloh.
 */
#ifndef _LINUX_REMOTE_FS_I_H
#define _LINUX_REMOTE_FS_I_H
#ifdef CONFIG_MOSIX

struct vm_area_struct;
typedef unsigned long (*nopage_t)(struct vm_area_struct *, unsigned long, int);

struct remote_inode_info
{
	int origin;			/* node of origin */
	struct file *fp;		/* file pointer on origin */
	unsigned long long unique;	/* unique version on origin */
	nopage_t nopage;		/* nopage routine */
};

#endif CONFIG_MOSIX
#endif
