/*
 * Copyright (c)  1998 - 2000, Amnon Barak, The Hebrew University of Jerusalem.
 * All rights reserved.
 *
 * Permission to use, copy and distribute this software is hereby granted
 * under the terms of version 2 or any later version of the GNU General
 * Public License, as published by the Free Software Foundation.
 *
 * THE HEBREW UNIVERSITY OF JERUSALEM  PROVIDES THIS SOFTWARE IN ITS "AS IS"
 * CONDITION. THE HEBREW UNIVERSITY OF JERUSALEM DISCLAIMS  ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 */
/*
 * Author(s): Amnon Shiloh.
 */

/* THIS IS AN OPERATING-SYSTEM INDEPENDENT FILE:		*/
/* DO NOT MENTION HERE ANY STRUCTURES, VARIABLES OR DEFINITIONS	*/
/* FROM THE PARTICULAR HOSTING OPERATING-SYSTEM KERNEL		*/

/* interface to the MOSIX load-balancing module */

extern void info_startup(void);
extern void info_reconfig(void);
extern void mosix_clear_statistics(void);
extern int under_memory_pressure(void);
struct sonstats;
extern void consider(int, struct sonstats *);
extern void set_my_cpuspeed(void);
extern void add_statistics_to_ancesstor(struct mosix_task *, struct mosix_task *);
struct mosix_info;
extern int balance_get_infos(int, int, struct mosix_info *, int);
extern int balance_get_info(int, struct mosix_info *);
extern void balance_set_gateways(void);
extern void this_machine_is_favourite(int);
extern void release_migrations(int);
extern void changed_my_mind_and_staying(void);
extern int balance_commit_mig(int);
extern void end_coming_in(int);
extern void mosix_local_syscall(void);
extern void do_decay(void);
extern void inc_decays(void);
extern void info_update_costs(void);
extern void info_update_mfscosts(void);
extern int send_local_aload(int);
extern int send_with_miginfo(int, void *, int);
extern void bump_copyin(int);
extern void bump_copyout(int);
extern void bump_syscalls(void);
extern void bump_demandpages(void);
