#!/usr/bin/awk -f 
# 
# Awk filter for lilo.conf to remove a mosix kernel image
#
# Written by arielez@cs.huji.ac.il
# May 15, 2000
#

BEGIN { 
	image="/boot/vmlinuz.mosix"
	ignore=0
}


# Remove default line and any existing mosix image
{ 
	if ( /default=mosix/ ) { } 
	else {
	  if ( $0 ~ "image" ) {
		if ( $0 ~ image ) { ignore=1 } else { ignore=0 ; print $0}
	  }
	  else
		if ( ignore == 0 ) { print $0 }
	}
	
}
